Package org.gdal.gdal

## Class XMLNode

- java.lang.Object
- - org.gdal.gdal.XMLNode

-     public class XMLNode
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `XMLNode​(java.lang.String pszString)` |
    `XMLNode​(XMLNodeType eType, java.lang.String pszText)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `AddXMLChild​(XMLNode psChild)` |
    `void` | `AddXMLSibling​(XMLNode psNewSibling)` |
    `XMLNode` | `Clone()` |
    `void` | `delete()` |
    `boolean` | `equals​(java.lang.Object obj)` |
    `XMLNode` | `getChild()` |
    `XMLNode` | `getNext()` |
    `XMLNodeType` | `getType()` |
    `java.lang.String` | `getValue()` |
    `XMLNode` | `GetXMLNode​(java.lang.String pszPath)` |
    `java.lang.String` | `GetXMLValue​(java.lang.String pszPath, java.lang.String pszDefault)` |
    `int` | `hashCode()` |
    `static XMLNode` | `ParseXMLFile​(java.lang.String pszFilename)` |
    `XMLNode` | `SearchXMLNode​(java.lang.String pszElement)` |
    `java.lang.String` | `SerializeXMLTree()` |
    `int` | `SetXMLValue​(java.lang.String pszPath, java.lang.String pszValue)` |
    `void` | `StripXMLNamespace​(java.lang.String pszNamespace, int bRecurse)` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### XMLNode

          public XMLNode​(java.lang.String pszString)

    - #### XMLNode

          public XMLNode​(XMLNodeType eType,
                         java.lang.String pszText)

  - ### Method Detail

    - #### delete

          public void delete()

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### getType

          public XMLNodeType getType()

    - #### getValue

          public java.lang.String getValue()

    - #### getNext

          public XMLNode getNext()

    - #### getChild

          public XMLNode getChild()

    - #### ParseXMLFile

          public static XMLNode ParseXMLFile​(java.lang.String pszFilename)

    - #### SerializeXMLTree

          public java.lang.String SerializeXMLTree()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### SearchXMLNode

          public XMLNode SearchXMLNode​(java.lang.String pszElement)

    - #### GetXMLNode

          public XMLNode GetXMLNode​(java.lang.String pszPath)

    - #### GetXMLValue

          public java.lang.String GetXMLValue​(java.lang.String pszPath,
                                              java.lang.String pszDefault)

    - #### AddXMLChild

          public void AddXMLChild​(XMLNode psChild)

    - #### AddXMLSibling

          public void AddXMLSibling​(XMLNode psNewSibling)

    - #### Clone

          public XMLNode Clone()

    - #### SetXMLValue

          public int SetXMLValue​(java.lang.String pszPath,
                                 java.lang.String pszValue)

    - #### StripXMLNamespace

          public void StripXMLNamespace​(java.lang.String pszNamespace,
                                        int bRecurse)